<?php

use A7kz\Platform\Modules\Platform\Segment\Facades\Segment;
use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;


return new class extends Migration
{
    public function up(): void
    {
        $segments = Segment::listActive();
        foreach ($segments as $segment) {
            Schema::connection($segment->connector)->create('pipi_auto_calendar', static function (Blueprint $table) {
                $table->id();
                $table->string('auto_id')->nullable()->comment('Автомобиль');
                $table->date('date')->nullable()->comment('Дата');
                $table->string('status')->nullable()->comment('Статус');
                $table->timestamps();
            });
        }
    }
};
